package utils

import (
	"log"
	"testing"
)

func TestVersionNewer(t *testing.T) {
	rt, err := VersionNewer("0.0.1", "0.0.2")
	println(rt, err)
	rt, err = VersionNewer("0.0.3", "0.0.2")
	println(rt, err)
	rt, err = VersionNewer("0.0.2", "0.0.2")
	println(rt, err)
	rt, err = VersionNewer("", "0.0.2")
	println(rt, err)
}

func TestVersionToUint32(t *testing.T) {
	log.Printf("0x%x", VersionToUint32("3.100.2"))
}
